Skip to main content
GET
/
schedule
/
v1
/
check-type-collections
/
{checkTypeCollectionId}
Retrieve a Check Type Collection by Id
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/check-type-collections/{checkTypeCollectionId} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Group 1",
      "color": "ssm-salmon",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "deletedAt": "2020-01-01T10:00:00+01:00",
      "archivedAt": "2020-01-01T10:00:00+01:00",
      "checkTypes": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "online",
          "color": "accent-pink-100",
          "icon": "flight"
        }
      ]
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

checkTypeCollectionId
string<uuid>
required

Check Type Collection UUID

Response

200 - application/json

Array of Objects

data
object[]
meta
object